Package org.apache.sysds.runtime.lineage

# Class LineageCodegenItem

java.lang.Object
org.apache.sysds.runtime.lineage.LineageCodegenItem

public class LineageCodegenItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`LineageCodegenItem()`

## Method Summary

Modifier and Type
Method
Description
`static LineageItem`
`getCodegenLTrace(String classname)`
`static void`
`reset()`
`static LineageItem`
`setCodegenLTrace(String classname, LineageItem li)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineageCodegenItem

public LineageCodegenItem()

## Method Details

### reset

public static void reset()

### setCodegenLTrace

public static LineageItem setCodegenLTrace(String classname, LineageItem li)

### getCodegenLTrace

public static LineageItem getCodegenLTrace(String classname)